
Core - Bug # 67875

Status: Under Review Priority: Should have
Author: Alexander Stehlik Category: Categorization API
Created: 2015-07-01 Assigned To:
Updated: 2015-07-09 Due date:
TYPO3 Version: 7
PHP Version: 5.5
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: tt_content categories field is not registered for all types
Description

Currently the tt_content table gets its categories field by the install tool configuration value:

$GLOBALS['TYPO3_CONF_VARS']['SYS']['defaultCategorizedTables']

The problem here is that most of the content types are defined in Configuration/TCA/Overrides since #65922.

Since the Overrides for the TCA are processed after the global categories are registered (in 
ExtensionManagementUtility::buildBaseTcaFromSingleFiles()), most of the content types are just left out when the CategoryRegistry
calls ExtensionManagementUtility::addToAllTCAtypes().

Related issues:
related to Core - Task # 65922: Move unused tt_content TCA fields and the arr... Resolved 2015-03-23

History
#1 - 2015-07-01 21:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40834

#2 - 2015-07-02 10:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40834

#3 - 2015-07-08 19:12 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40834

#4 - 2015-07-09 19:12 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04 1/2

http://review.typo3.org/40834
http://review.typo3.org/40834
http://review.typo3.org/40834


It is available at http://review.typo3.org/40834

2015-08-04 2/2

http://review.typo3.org/40834

